Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.desktop
Class BusinessInternalFrameController

    java.lang.Object
      de.jsystems.framework.common.Controller
          de.jsystems.framework.desktop.BusinessInternalFrameController

All Implemented Interfaces:
  FrameworkKonstanten, IController, IMessageTexte, IProgressSender

public class BusinessInternalFrameController
extends Controller

Controller für ein InternalFrame. Dieser verwaltet alle Views, die in diesem InternalFrame angezeigt werden sollen.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary
`protected BusinessInternalFrame` | `internalFrame` InternalFrame, in dem die registrierten Views angezeigt werden.

Fields inherited from class de.jsystems.framework.common.Controller
`actionManager, ausgewaehlteModels, ausgewaehlteView, menu, models, popup, printer, startbild, statuszeile, systemdialoge, toolbar, views`

Fields inherited from interface de.jsystems.framework.common.FrameworkKonstanten
`DEFAULT, EDITMODE, FRAMEWORK_LAF, METAL_LAF, MOTIF_LAF, NEWMODE, OHNE, ONLY_MENU, ONLY_TOOLBAR, SHOWMODE, WINDOWS_LAF`

Fields inherited from interface de.jsystems.framework.common.IMessageTexte
`FEHLER, FEHLER_AUFGETRETEN`

Constructor Summary
`BusinessInternalFrameController()` Erzeugt den Controller für ein InternalFrame.
`BusinessInternalFrameController(int auspraegung)` Erzeugt den Controller für ein InternalFrame.

Methods inherited from class de.jsystems.framework.common.Controller
`about, canExit, close, copy, createDefaultMenu, createDefaultPopup, createDefaultToolbar, createMenu, createNew, createPopup, createToolbar, cut, delete, edit, exceptionInAction, getActionManager, getAusgewaehlteModels, getMenue, getMessageList, getPopup, getStatusArea, getToolbar, getView, help, info, load, paste, print, redo, registerModel, registerView, registerViewActionControls, save, saveAs, setDefaultLookAndFeel, setLastLookAndFeel, setLookAndFeel, setStartUpProcent, setStartUpStatus, setStatusText, show, showPopup, toggleStatusArea, toggleToolbar, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### internalFrame

    protected BusinessInternalFrame internalFrame

  InternalFrame, in dem die registrierten Views angezeigt werden.

Constructor Detail

### BusinessInternalFrameController

    public BusinessInternalFrameController()

  Erzeugt den Controller für ein InternalFrame. Dieses enthaelt ein Menu und eine Toolbar.

### BusinessInternalFrameController

    public BusinessInternalFrameController(int auspraegung)

  Erzeugt den Controller für ein InternalFrame. Dieses kann je nach uebergebenen Auspraegung ein Menu und/oder eine Toolbar enthalten. Die Auspraegung kann dabei die Werte
  `DEFAULT - Erzeugt ein Standardmenü und eine Standardtoolbar`
  `ONLY_MENU - Erzeugt nur ein Standardmenü`
  `ONLY_TOOLBAR - Erzeugt nur eine Standdardtoolbar`
  `OHNE - Erzeugt nichts`
  annehmen.

Parameters:
  `auspraegung` - Festlegung, ob ein Menü und/oder eine Toolbar erzeugt werden.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD